HeaderMetadata (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface HeaderMetadata

- All Superinterfaces:
    Cloneable, MXFUnit
  All Known Implementing Classes:
    HeaderMetadataImpl

      public interface HeaderMetadata
      extends Cloneable, MXFUnit

  Represents header metadata in an MXF file that must be present in the mandatory header partition of every MXF file. Header metadata may also be present in other partitions, either as an exact repeat (e.g. to provide join-in-progress ability to read the stream) or because the file is grawing and the metadata keeps improving as it goes.

  Header metadata consists of a primer pack and a preface. The primer pack is used as a means of reducing the number of bytes required to serialize the metadata in an MXF file as a local set.

  See Also:
    `MXFBuilder.readLocalSet(UL, java.nio.ByteBuffer, PrimerPack, java.util.Map, java.util.List)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderMetadata` | `clone()` Create a cloned copy of the header metadata.
    `Preface` | `getPreface()` Returns the preface that contains metadata records of the MXF file.
    `PrimerPack` | `getPrimerPack()` Returns the primer pack used to encode the header metadata.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.MXFUnit

      `getUnitType`

- - ### Method Detail

    - #### getPrimerPack

          PrimerPack getPrimerPack()

      Returns the primer pack used to encode the header metadata.

      Returns:
        Primer pack used to encode the header metadata.

    - #### getPreface

          Preface getPreface()

      Returns the preface that contains metadata records of the MXF file.

      Returns:
        Metadata records of the MXF file.

    - #### clone

          HeaderMetadata clone()

      Create a cloned copy of the header metadata.

      Returns:
        Cloned copy of the header metadata.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.